com.comtrade.ecm.engine.datatypes

## Class ObjectsConverter

- java.lang.Object
- - com.comtrade.ecm.engine.datatypes.ObjectsConverter

-     public class ObjectsConverter
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> T` | `convert(java.lang.Class<T> toClass, java.lang.Object object)`
    `static java.util.Date` | `stringToDate(java.lang.String dateString, java.lang.String dateFormat)`
    `static java.lang.Boolean` | `toBoolean(java.lang.Object object)`
    `static java.lang.Character` | `toCharacter(java.lang.Object object)`
    `static java.lang.Double` | `toDouble(java.lang.Object object)`
    `static java.lang.Float` | `toFloat(java.lang.Object object)`
    `static java.lang.Integer` | `toInteger(java.lang.Object object)`
    `static java.lang.Long` | `toLong(java.lang.Object object)`
    `static java.lang.String` | `toString(java.lang.Object object)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### convert

          public static <T> T convert(java.lang.Class<T> toClass,
                                      java.lang.Object object)

    - #### toString

          public static java.lang.String toString(java.lang.Object object)

    - #### toBoolean

          public static java.lang.Boolean toBoolean(java.lang.Object object)

    - #### toInteger

          public static java.lang.Integer toInteger(java.lang.Object object)

    - #### toLong

          public static java.lang.Long toLong(java.lang.Object object)

    - #### toFloat

          public static java.lang.Float toFloat(java.lang.Object object)

    - #### toDouble

          public static java.lang.Double toDouble(java.lang.Object object)

    - #### toCharacter

          public static java.lang.Character toCharacter(java.lang.Object object)

    - #### stringToDate

          public static java.util.Date stringToDate(java.lang.String dateString,
                                                    java.lang.String dateFormat)
                                             throws java.text.ParseException

      Throws:
        `java.text.ParseException`